#include <stdio.h>
#include <stdlib.h>

#include "ts_msgs.h"

/* procedure warning prints a warning message
 *
 *     caller    the name of the procedure or function that calls this procedure
 *     code      the code of the warning
 */
void ts_warning ( const char *caller, int code )
{
	long i;
	char *msgs[] = { "Processor time is not available or cannot be represented",
			 "File renaming failed",
			 "File could not be removed",
			 "Error detected while closing a file",
			 "Abnormal termination",
			 "Could not create a file"
	};

	printf ( "\nWARNING!!! %s: %s.\n", caller, msgs[code - 1] );
	for ( i = 0; i < 400000000; i++ ) ;
}

/* procedure error prints an error message and exits the program
 *
 *     caller    the name of the procedure or function that calls this procedure
 *     code      the code of the error
 */
void ts_error ( const char *caller, int code )
{
	char *msgs[] = { "Infeasible representation (triangles missing)",
			 "Could not open a file",
			 "Memory allocation error",
			 "Stack overflow",
			 "Trying to access non-allocated memory",
			 "No triangles in the input file",
			 "Infinite loop detected"
	};

	printf ( "\nERROR!!! %s: %s.\n", caller, msgs[code - 1] );
	exit ( -1 );
}
